# Wallabag

[![Build Status](https://drone.autonomic.zone/api/badges/compose-stacks/wallabag/status.svg)](https://drone.autonomic.zone/compose-stacks/wallabag)

Self hostable application for saving web pages • https://github.com/wallabag/wallabag

## Basic usage

1. Set up Docker Swarm and [`abra`]
2. Deploy [`compose-stacks/traefik`]
3. `git clone https://git.autonomic.zone/compose-stacks/wallabag.git && cd wallabag`
3. `cp .envrc.sample .envrc`
4. Edit `.envrc` - be sure to change `DOMAIN` to something that resolves to
   your Docker swarm box
5. `direnv allow` (or `. .envrc`)
6. Generate secrets:
```
abra secret generate db_password v1
abra secret generate db_root_password v1
```
7. `abra deploy`
8. Initialise database
```
abra run app bash
cd /var/www/wallabag/
php bin/console wallabag:install --env=prod -n
```

[`abra`]: https://git.autonomic.zone/autonomic-cooperative/abra
[`compose-stacks/traefik`]: https://git.autonomic.zone/compose-stacks/traefik
